## NAME

v.merge - Merges vector map files.
(SCS GRASS Vector Program)

## SYNOPSIS

v.merge
v.merge help
v.merge [ -mv] map=name[,name,...] output=name subj=name

## DESCRIPTION

Program to read the dig_cats file for each named map. The program then compares the category label (NOT the value) to the labels in the named subject file. If the label is found in the subject file, the corresponding attribute values of the map are changed to the subject file category value. When all maps are completed a patch operation is performed.
This program was designed to merge maps for areas that have the same category labels, but different category values associated with those labels.
There are two flags for v.merge:

### Flags:

-m
  Use RAM to hold subject file category values. This may be faster than the default (use of disc files); however, memory may not be large enough for all of the subject file.
-v
  By default, only the name of the mapset processing is sent to standard output. In verbose mode, the user is given additional information on program operations.

### Parameters:

"map=name,name,..."
  Vector map--source for composite.
output=name
  New name assigned to vector composite map.
subj=name
  SUBJ file name.

## NOTES

The program v.make.subj can be run prior to using v.merge. v.make.subj will read the category labels of each map in its list and create a subject file of labels and values. Users may opt to create the subject file by other means if they wish.

v.rmedge must be run on any mapsets in the v.merge list prior to issuing the v.merge command. Common edges will need to be removed prior to the v.merge operation.

## SEE ALSO

v.make.subj
v.rmedge

## AUTHOR

R.L. Glenn, USDA, SCS, NHQ-CGIS

Last changed: $Date: 2002/01/25 05:45:35 $